#include <bits/stdc++.h>
#define endl '\n'
using namespace std;
typedef long long int lint;



void solve(){
    int n, L;
    cin >> n >> L;
    bool v = true;
    int rez = -1;
    for(int i = 0; i < n; i++){
        int x;
        cin >> x;
        if(L >= x){
            if(v){
                v = false;
                rez = i + 1;
            }
        }
    }
    cout << rez << endl;
}   
 


signed main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    int t = 1;
    //cin >> t;
    while(t--){
        solve();
    }
    return 0;
}